/** When your routing table is too long, you can split it into small modules**/

import Layout from "@/layout";

const settlementRouter = {
  path: "/reconciliation",
  component: Layout,
  name: "reconciliation1",
  meta: { title: "供应商明细", icon: "" },
  alwaysShow: true,
  hidden: true,
  children: [
    {
      // 供应商明细
      path: "supplierDetail",
      component: () => import("@/views/page/procurement-settlement/reconciliation/supplierDetail.vue"),
      name: "supplierDetail",
      meta: { title: "供应商明细", icon: "" },
      hidden: true
    },
  ]
};

export default settlementRouter;
