const systemMenuObj = [
  // 我的任务
  // {
  //   component: "Layout",
  //   icon: "el-icon-date",
  //   id: "mission",
  //   menuType: "MENU",
  //   name: "mission",
  //   parentId: "0",
  //   redirect: "/mission",
  //   remark: "我的任务",
  //   router: "/mission",
  //   hidden: 0
  // },
  // {
  //   component: "/page/mission/index",
  //   icon: "",
  //   id: "missionmy",
  //   menuType: "MENU",
  //   name: "missionmy",
  //   parentId: "mission",
  //   redirect: "",
  //   remark: "我的任务",
  //   router: "missionmy",
  //   hidden: 0
  // },
  // 系统管理
  {
    component: "Layout",
    icon: "el-icon-setting",
    id: "system",
    menuType: "MENU",
    name: "system",
    parentId: "0",
    redirect: "/system/users",
    remark: "系统设置",
    router: "/system",
    hidden: 0
  },
  {
    component: "/page/system/users/index",
    icon: "",
    id: "user",
    menuType: "MENU",
    name: "users",
    parentId: "system",
    redirect: "",
    remark: "用户权限管理",
    router: "users",
    hidden: 0
  },
  {
    component: "/page/system/role/index",
    icon: "",
    id: "role",
    menuType: "MENU",
    name: "role",
    parentId: "system",
    redirect: "",
    remark: "角色权限管理",
    router: "role",
    hidden: 0
  },
  {
    component: "/page/system/function/index",
    icon: "",
    id: "function",
    menuType: "MENU",
    name: "function",
    parentId: "system",
    redirect: "",
    remark: "菜单管理",
    router: "function",
    hidden: 0
  },
  {
    component: "/page/system/log/index",
    icon: "",
    id: "log",
    menuType: "MENU",
    name: "log",
    parentId: "system",
    redirect: "",
    remark: "操作日志",
    router: "log",
    hidden: 0
  },
  {
    component: "/page/system/notice/index",
    icon: "",
    id: "notice",
    menuType: "MENU",
    name: "notice",
    parentId: "system",
    redirect: "",
    remark: "集团发布公告",
    router: "notice",
    hidden: 0
  },
  {
    component: "/page/system/approveConfig/index",
    icon: "",
    id: "approveConfig1",
    menuType: "MENU",
    name: "approveConfig1",
    parentId: "system",
    redirect: "",
    remark: "审批流程配置",
    router: "approveConfig",
    hidden: 0
  },
  // 数据服务
  {
    component: "Layout",
    icon: "el-icon-coin",
    id: "server",
    menuType: "MENU",
    name: "server",
    parentId: "0",
    redirect: "/server/dic",
    remark: "数据资源管理",
    router: "/server",
    hidden: 0
  },
  {
    component: "/page/dataService/dic/index",
    icon: "",
    id: "dic",
    menuType: "MENU",
    name: "dic",
    parentId: "server",
    redirect: "",
    remark: "字典管理",
    router: "dic",
    hidden: 0
  },
  {
    component: "/page/dataService/code/index",
    icon: "",
    id: "code",
    menuType: "MENU",
    name: "code",
    parentId: "server",
    redirect: "",
    remark: "编码规则管理",
    router: "code",
    hidden: 0
  },
  // 采购管理
  // {
  //   component: "Layout",
  //   icon: "el-icon-shopping-cart-1",
  //   id: "purchasingManagement",
  //   menuType: "MENU",
  //   name: "purchasingManagement",
  //   parentId: "0",
  //   redirect: "/purchasingManagement/plan-template-maintenance",
  //   remark: "采购管理",
  //   router: "/purchasing-management",
  //   hidden: 0
  // },
  // {
  //   component: "/page/purchasing-management/plan-template-maintenance/index",
  //   icon: "",
  //   id: "plan-template-maintenance",
  //   menuType: "MENU",
  //   name: "planTemplateMaintenance",
  //   parentId: "purchasingManagement",
  //   redirect: "",
  //   remark: "计划模板维护",
  //   router: "plan-template-maintenance",
  //   hidden: 0
  // },
  // {
  //   component: "/page/purchasing-management/procurement-plan-management/index",
  //   icon: "",
  //   id: "procurement-plan-management",
  //   menuType: "MENU",
  //   name: "procurementPlanManagement",
  //   parentId: "purchasingManagement",
  //   redirect: "",
  //   remark: "采购计划管理",
  //   router: "procurement-plan-management",
  //   hidden: 0
  // },
  // {
  //   component: "/page/purchasing-management/procurement-order-management/index",
  //   icon: "",
  //   id: "procurement-order-management",
  //   menuType: "MENU",
  //   name: "procurementOrderManagement",
  //   parentId: "purchasingManagement",
  //   redirect: "",
  //   remark: "采购订单管理",
  //   router: "procurement-order-management",
  //   hidden: 0
  // },
  // {
  //   component: "/page/purchasing-management/return-report/index",
  //   icon: "",
  //   id: "return-report",
  //   menuType: "MENU",
  //   name: "ReturnReport",
  //   parentId: "purchasingManagement",
  //   redirect: "",
  //   remark: "药品退货提报",
  //   router: "return-report",
  //   hidden: 0
  // },
  // {
  //   component: "/page/purchasing-management/return-record/index",
  //   icon: "",
  //   id: "return-record",
  //   menuType: "MENU",
  //   name: "ReturnRecord",
  //   parentId: "purchasingManagement",
  //   redirect: "",
  //   remark: "药品退货记录",
  //   router: "return-record",
  //   hidden: 0
  // },
  // 药品目录管理
  // {
  //   component: "Layout",
  //   icon: "el-icon-notebook-2",
  //   id: "drugCataManage",
  //   menuType: "MENU",
  //   name: "drugCataManage",
  //   parentId: "0",
  //   redirect: "/drugCataManage",
  //   remark: "药品目录管理",
  //   router: "/drugCataManage",
  //   hidden: 0
  // },
  // {
  //   component: "/page/drugCataManage/provCataSearch/index",
  //   icon: "",
  //   id: "provCataSearch",
  //   menuType: "MENU",
  //   name: "provCataSearch",
  //   parentId: "drugCataManage",
  //   redirect: "",
  //   remark: "省级目录查询",
  //   router: "provCataSearch",
  //   hidden: 0
  // },
  // {
  //   component: "/page/drugCataManage/blocCataManage/index",
  //   icon: "",
  //   id: "blocCataManage",
  //   menuType: "MENU",
  //   name: "blocCataManage",
  //   parentId: "drugCataManage",
  //   redirect: "",
  //   remark: "集团目录管理",
  //   router: "blocCataManage",
  //   hidden: 0
  // },
  // {
  //   component: "/page/drugCataManage/cataManage/index",
  //   icon: "",
  //   id: "cataManage",
  //   menuType: "MENU",
  //   name: "cataManage",
  //   parentId: "drugCataManage",
  //   redirect: "",
  //   remark: "药品目录管理",
  //   router: "cataManage",
  //   hidden: 0
  // },
  // 申领管理
  // {
  //   component: "Layout",
  //   icon: "el-icon-receiving",
  //   id: "applyManage",
  //   menuType: "MENU",
  //   name: "applyManage",
  //   parentId: "0",
  //   redirect: "/applyManage",
  //   remark: "申领管理",
  //   router: "/applyManage",
  //   hidden: 0
  // },
  // {
  //   component: "/page/applyManage/index",
  //   icon: "",
  //   id: "applyManagement",
  //   menuType: "MENU",
  //   name: "applyManagement",
  //   parentId: "applyManage",
  //   redirect: "",
  //   remark: "申领管理",
  //   router: "applyManagement",
  //   hidden: 0
  // },
  // 库房管理
  // {
  //   component: "Layout",
  //   icon: "el-icon-office-building",
  //   id: "storeroom",
  //   menuType: "MENU",
  //   name: "Storeroom",
  //   parentId: "0",
  //   redirect: "/storeroom/check-warehouse",
  //   remark: "库房管理",
  //   router: "/storeroom",
  //   hidden: 0
  // },
  // {
  //   component: "/page/storeroom/check-warehouse/index",
  //   icon: "",
  //   id: "check-warehouse",
  //   menuType: "MENU",
  //   name: "CheckWarehouse",
  //   parentId: "storeroom",
  //   redirect: "",
  //   remark: "验收入库",
  //   router: "check-warehouse",
  //   hidden: 0
  // },
  // {
  //   component: "/page/storeroom/shipped-out/manoutbound",
  //   icon: "",
  //   id: "shipped-out-manoutbound",
  //   menuType: "MENU",
  //   name: "ShippedOutManoutbound",
  //   parentId: "storeroom",
  //   redirect: "",
  //   remark: "手动出库",
  //   router: "shipped-out-manoutbound",
  //   hidden: 0
  // },
  // {
  //   component: "/page/storeroom/shipped-out/index",
  //   icon: "",
  //   id: "shipped-out",
  //   menuType: "MENU",
  //   name: "ShippedOut",
  //   parentId: "storeroom",
  //   redirect: "",
  //   remark: "待出库",
  //   router: "shipped-out",
  //   hidden: 0
  // },
  // {
  //   component: "/page/storeroom/outbound/index",
  //   icon: "",
  //   id: "outbound",
  //   menuType: "MENU",
  //   name: "Outbound",
  //   parentId: "storeroom",
  //   redirect: "",
  //   remark: "已出库",
  //   router: "outbound",
  //   hidden: 0
  // },
  // {
  //   component: "/page/storeroom/inventory-reminder/index",
  //   icon: "",
  //   id: "inventory-reminder",
  //   menuType: "MENU",
  //   name: "InventoryReminder",
  //   parentId: "storeroom",
  //   redirect: "",
  //   remark: "待出库存提示",
  //   router: "inventory-reminder",
  //   hidden: 0
  // },
  // {
  //   component: "/page/storeroom/auto-replenish-configuration/index",
  //   icon: "",
  //   id: "auto-replenish-configuration",
  //   menuType: "MENU",
  //   name: "AutoReplenishConfiguration",
  //   parentId: "storeroom",
  //   redirect: "",
  //   remark: "药品库存管理",
  //   router: "auto-replenish-configuration",
  //   hidden: 0
  // },
  // 审批中心
  // {
  //   component: "Layout",
  //   icon: "el-icon-finished",
  //   id: "approve",
  //   menuType: "MENU",
  //   name: "approve",
  //   parentId: "0",
  //   redirect: "/approve",
  //   remark: "审批中心",
  //   router: "/approve",
  //   hidden: 0
  // },
  // {
  //   component: "/page/approve/approveA/index",
  //   icon: "",
  //   id: "approveA",
  //   menuType: "MENU",
  //   name: "approveA",
  //   parentId: "approve",
  //   redirect: "",
  //   remark: "待审批",
  //   router: "approveA",
  //   hidden: 0
  // },
  // {
  //   component: "/page/approve/approveB/index",
  //   icon: "",
  //   id: "approveB",
  //   menuType: "MENU",
  //   name: "approveB",
  //   parentId: "approve",
  //   redirect: "",
  //   remark: "已审批",
  //   router: "approveB",
  //   hidden: 0
  // },
  // 供应商管理
  // {
  //   component: "Layout",
  //   icon: "el-icon-connection",
  //   id: "supplierManage",
  //   menuType: "MENU",
  //   name: "supplierManage",
  //   parentId: "0",
  //   redirect: "/supplierManage",
  //   remark: "供应商管理",
  //   router: "/supplierManage",
  //   hidden: 0
  // },
  // {
  //   component: "/page/supplierManage/index",
  //   icon: "",
  //   id: "supplierManagement",
  //   menuType: "MENU",
  //   name: "supplierManagement",
  //   parentId: "supplierManage",
  //   redirect: "",
  //   remark: "供应商管理",
  //   router: "supplierManagement",
  //   hidden: 0
  // },
  // 药品目录管理---供应商端
  {
    component: "Layout",
    icon: "el-icon-notebook-2",
    id: "consumCataManage-sup",
    menuType: "MENU",
    name: "consumCataManage-sup",
    parentId: "0",
    redirect: "/consumCataManage-sup",
    remark: "耗材目录管理",
    router: "/consumCataManage-sup",
    hidden: 0
  },
  {
    component: "/page/consumCataManage-sup/index",
    icon: "",
    id: "consumCataManagement-sup",
    menuType: "MENU",
    name: "consumCataManagement-sup",
    parentId: "consumCataManage-sup",
    redirect: "",
    remark: "目录记录详情",
    router: "consumCataManagement-sup",
    hidden: 0
  },
  {
    component: "/page/consumCataManage-sup/distributionmanage",
    icon: "",
    id: "distributionmanage",
    menuType: "MENU",
    name: "distributionmanage",
    parentId: "consumCataManage-sup",
    redirect: "",
    remark: "配送目录管理",
    router: "distributionmanage",
    hidden: 0
  },
  
  {
    component: "/page/consumCataManage-sup/catalogPrice/index",
    icon: "",
    id: "catalogPrice",
    menuType: "MENU",
    name: "catalogPrice",
    parentId: "catalogPrice",
    redirect: "",
    remark: "目录调价",
    router: "catalogPrice",
    hidden: 0
  },
  {
    component: "/page/consumCataManage-sup/catalogCheckCode/index",
    icon: "",
    id: "catalogCheckCode",
    menuType: "MENU",
    name: "catalogCheckCode",
    parentId: "catalogCheckCode",
    redirect: "",
    remark: "目录对码",
    router: "catalogCheckCode",
    hidden: 0
  },
  // 订单管理---供应商端
  {
    component: "Layout",
    icon: "el-icon-printer",
    id: "orderManage-sup",
    menuType: "MENU",
    name: "orderManage-sup",
    parentId: "0",
    redirect: "/orderManage-sup",
    remark: "订单管理",
    router: "/orderManage-sup",
    hidden: 0
  },
  {
    component: "/page/orderManage-sup/purOrderAccept/index",
    icon: "",
    id: "purOrderAccept",
    menuType: "MENU",
    name: "purOrderAccept",
    parentId: "orderManage-sup",
    redirect: "",
    remark: "采购订单—待确认",
    router: "purOrderAccept",
    hidden: 0
  },
  {
    component: "/page/orderManage-sup/purOrderConfirmed/index",
    icon: "",
    id: "purOrderConfirmed",
    menuType: "MENU",
    name: "purOrderConfirmed",
    parentId: "orderManage-sup",
    redirect: "",
    remark: "采购订单—已确认",
    router: "purOrderConfirmed",
    hidden: 0
  },
  {
    component: "/page/orderManage-sup/purOrderDelivery/index",
    icon: "",
    id: "purOrderDelivery",
    menuType: "MENU",
    name: "purOrderDelivery",
    parentId: "orderManage-sup",
    redirect: "",
    remark: "供应商采购订单—待出库",
    router: "purOrderDelivery",
    hidden: 0
  },
  // purchaseDetails
  {
    component: "/page/orderManage-sup/purOrderDelivery/purchaseDetails",
    icon: "",
    id: "purchaseDetails",
    menuType: "MENU",
    name: "purchaseDetails",
    parentId: "orderManage-sup",
    redirect: "",
    remark: "采购明细出库",
    router: "purchaseDetails",
    hidden: 0
  },
  {
    component: "/page/orderManage-sup/alreadyDelivery/index",
    icon: "",
    id: "alreadyDelivery",
    menuType: "MENU",
    name: "alreadyDelivery",
    parentId: "orderManage-sup",
    redirect: "",
    remark: "供应商采购订单—已出库",
    router: "alreadyDelivery",
    hidden: 0
  },
  {
    component: "/page/orderManage-sup/orthOpedicAccept/index",
    icon: "",
    id: "orthOpedicAccept",
    menuType: "MENU",
    name: "orthOpedicAccept",
    parentId: "orderManage-sup",
    redirect: "",
    remark: "骨科采购订单",
    router: "orthOpedicAccept",
    hidden: 0
  },
  {
    component: "/page/orderManage-sup/orthOpedicDelivery/index",
    icon: "",
    id: "orthOpedicDelivery",
    menuType: "MENU",
    name: "orthOpedicDelivery",
    parentId: "orderManage-sup",
    redirect: "",
    remark: "骨科采购订单出库",
    router: "orthOpedicDelivery",
    hidden: 0
  },
  // 商品退货管理
  // 
  {
    component: "Layout",
    icon: "el-icon-printer",
    id: "productreturnmanage-sup",
    menuType: "MENU",
    name: "productreturnmanage-sup",
    parentId: "0",
    redirect: "/productreturnmanage-sup",
    remark: "商品退货管理",
    router: "/productreturnmanage-sup",
    hidden: 0
  },

  {
    component: "/page/productreturnmanage-sup/returnOrderAccept/index",
    icon: "",
    id: "returnOrderAccept",
    menuType: "MENU",
    name: "returnOrderAccept",
    parentId: "productreturnmanage-sup",
    redirect: "",
    remark: "退货订单受理",
    router: "returnOrderAccept",
    hidden: 0
  },
  {
    component: "/page/productreturnmanage-sup/returnList/index",
    icon: "",
    id: "returnList",
    menuType: "MENU",
    name: "returnList",
    parentId: "productreturnmanage-sup",
    redirect: "",
    remark: "药品退货列表",
    router: "returnList",
    hidden: 0
  },
  // {
  //   component: "/page/orderManage-sup/returnRecord/index",
  //   icon: "",
  //   id: "returnRecord",
  //   menuType: "MENU",
  //   name: "returnRecord",
  //   parentId: "orderManage-sup",
  //   redirect: "",
  //   remark: "药品受理记录",
  //   router: "returnRecord",
  //   hidden: 0
  // },
  // 资质信息管理---供应商端
  {
    component: "Layout",
    icon: "el-icon-trophy",
    id: "qualityManagement-sup",
    menuType: "MENU",
    name: "QualityManagement-sup",
    parentId: "0",
    redirect: "",
    remark: "资质信息管理",
    router: "/quality-management-sup",
    hidden: 0
  },
  {
    component: "/page/qualityManagement-sup/information-filling/index",
    icon: "",
    id: "information-filling",
    menuType: "MENU",
    name: "InformationFilling",
    parentId: "qualityManagement-sup",
    redirect: "",
    remark: "资质信息管理", //供应商填报信息
    router: "information-filling",
    hidden: 0
  },
  // 厂商资质维护 
  {
    component: "/page/qualityManagement-sup/manufacturer-filling/index",
    icon: "",
    id: "manufacturer-filling",
    menuType: "MENU",
    name: "ManufacturerFilling",
    parentId: "qualityManagement-sup",
    redirect: "",
    remark: "厂商资质维护", //供应商填报信息
    router: "manufacturer-filling",
    hidden: 0
  },

  // 采购结算
  {
    component: "Layout",
    icon: "el-icon-goods",
    id: "procurement-settlement",
    menuType: "MENU",
    name: "Procurement-settlement",
    parentId: "0",
    redirect: "",
    remark: "采购结算",
    router: "/procurement-settlement",
    hidden: 0
  },
  // 业务对账---待确认 已确认
  {
    component: "/page/procurement-settlement/reconciliation/index",
    icon: "",
    id: "reconciliation",
    menuType: "MENU",
    name: "Reconciliation",
    parentId: "procurement-settlement",
    redirect: "",
    remark: "业务对账",
    router: "reconciliation",
    hidden: 0
  },
  // 采购发票管理---待录入 已录入
  {
    component: "/page/procurement-settlement/invoiceManage/index",
    icon: "",
    id: "invoiceManage",
    menuType: "MENU",
    name: "InvoiceManage",
    parentId: "procurement-settlement",
    redirect: "",
    remark: "采购发票管理",
    router: "invoiceManage",
    hidden: 0
  },
  // paymentStatus  付款状态查询---未付款 已付款
  {
    component: "/page/procurement-settlement/paymentStatus/index",
    icon: "",
    id: "paymentStatus",
    menuType: "MENU",
    name: "PaymentStatus",
    parentId: "procurement-settlement",
    redirect: "",
    remark: "付款状态查询",
    router: "paymentStatus",
    hidden: 0
  },

  //申领模板维护 跟台手术包
  {
    component: "Layout",
    icon: "el-icon-s-claim",
    id: "mainrTenance-sup",
    menuType: "MENU",
    name: "MainrTenance-sup",
    parentId: "0",
    redirect: "",
    remark: "申领模板维护-跟台手术包",
    router: "/mainrTenance-sup",
    hidden: 0
  },
  {
    component: "/page/mainrTenance-sup/templateDetail/Surgicalbag",
    icon: "",
    id: "Surgicalbag",
    menuType: "MENU",
    name: "Surgicalbag",
    parentId: "mainrTenance-sup",
    redirect: "",
    remark: "申领模板维护-跟台手术包",
    router: "Surgicalbag",
    hidden: 0
  },
  // 消息中心
  
  {
    component: "Layout",
    icon: "el-icon-message-solid",
    id: "message-center",
    menuType: "MENU",
    name: "Message-center",
    parentId: "0",
    redirect: "",
    remark: "消息中心",
    router: "/message-center",
    hidden: 0
  },
  {
    component: "/page/messageCenter/index",
    icon: "",
    id: "messagecenter-index",
    menuType: "MENU",
    name: "messagecenter-index",
    parentId: "message-center",
    redirect: "",
    remark: "消息中心",
    router: "messagecenter-index",
    hidden: 0
  },



  // 两票管理---供应商端
  {
    component: "Layout",
    icon: "el-icon-copy-document",
    id: "twovotesManage-sup",
    menuType: "MENU",
    name: "TwovotesManage-sup",
    parentId: "0",
    redirect: "",
    remark: "两票管理",
    router: "/twovotes-manage-sup",
    hidden: 0
  },
  {
    component: "/page/twovotesManage-sup/twovotesManage/index",
    icon: "",
    id: "twovotesManage",
    menuType: "MENU",
    name: "TwovotesManage",
    parentId: "twovotesManage-sup",
    redirect: "",
    remark: "两票管理",
    router: "twovotesManage",
    hidden: 0
  }
];
export default systemMenuObj;
